<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>CityController.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">WeatherApi4</a> &gt; <a href="index.source.html" class="el_package">com.m2.tiila.weather.controller</a> &gt; <span class="el_source">CityController.java</span></div><h1>CityController.java</h1><pre class="source lang-java linenums">package com.m2.tiila.weather.controller;

import com.m2.tiila.weather.business.CityBusiness;
import com.m2.tiila.weather.filter.AuthenticationRequired;
import com.m2.tiila.weather.mapper.CityMapper;
import dto.weatherapi.City;
import jakarta.inject.Inject;
import jakarta.ws.rs.*;
import jakarta.ws.rs.core.MediaType;
import jakarta.ws.rs.core.Response;
import org.springframework.stereotype.Controller;

import java.awt.*;
import java.util.List;

@Controller
@Path(&quot;/cities&quot;)
<span class="fc" id="L18">public class CityController {</span>

    @Inject
    private CityBusiness cityBusiness;

    @POST
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    @AuthenticationRequired
    public Response createCity(City city) {
<span class="fc" id="L28">        cityBusiness.createCity(CityMapper.toEntity(city));</span>
<span class="fc" id="L29">        return Response.ok().build();</span>
    }

    @GET
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public Response getCity() {
<span class="nc" id="L36">        List&lt;City&gt; cities = cityBusiness.getCity();</span>
<span class="nc" id="L37">        return Response.ok(cities).build();</span>
    }

    @DELETE
    @Path(&quot;/{id}&quot;)
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public Response deleteCity(@PathParam(&quot;id&quot;) Integer id) {
<span class="nc" id="L45">        cityBusiness.deleteCity(id);</span>
<span class="nc" id="L46">        return Response.ok().build();</span>
    }

    @PUT
    @Path(&quot;/{id}&quot;)
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public Response putCity(@PathParam(&quot;id&quot;) Integer id, City city) {
<span class="nc" id="L54">        cityBusiness.putCity(id, CityMapper.toEntity(city));</span>
<span class="nc" id="L55">        return Response.ok().build();</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.9.202303310957</span></div></body></html>